Progress of porting ElfPack 1.x to Motorola V235 phone
======================================================

P2K, LTE2, 128x160 cSTN.

## To-do list

[+] Fix `display_source_buffer` constant address.
[+] Fix `UIS_CanvasFillRect()` function address.
[+] Fix `AmMemAllocPointer()` and `AmMemFreePointer()` functions addresses.
[-] Find out way to increase System Heap memory in V235 firmware (CG1 patch).

## 02-Jun-2023

Add LTE2 irom functions.

## 09-May-2023

Fixed address of `display_source_buffer` constant.

```
0x122BB3E8 D display_source_buffer
0x122BB3E0 D Class_dal
0x10C01C84 A uisAllocateMemory
0x10BD6548 T JkVideoDrawString
```

## 08-May-2023

Added/fixed necessary functions in elfpack.lib:

```
0x106BF1A8 T AmMemAllocPointer
0x106BF1C4 T AmMemFreePointer
0x11A06008 D display_source_buffer
0x10AC0A48 A UIS_CanvasFillRect
```

## 07-May-2023

Added necessary functions to elfpack.lib:

```
0x000013C0 A __rt_sdiv
0x0000155C A __rt_sdiv10
0x000013BC T __16__rt_sdiv
0x00001558 T __16__rt_sdiv10

0x00001498 A __rt_udiv
0x000015A0 A __rt_udiv10
0x00001494 T __16__rt_udiv
0x00008448 T __16__rt_udiv10

0x00001138 A __rt_memclr
0x00001180 A __rt_memclr_w

0x000013A8 A __rt_memset

0x10098E34 T rand
0x10098DD8 T srand

0x10B81016 T DL_AudGetVolumeSetting
0x10B806BC T DL_AudPlayTone
0x105CD4B8 T DL_ClkGetDate
0x105CD4EE T DL_ClkGetTime
0x105F8FA8 T DL_KeyKjavaGetKeyState
0x1091FF70 T MME_GC_playback_open_audio_play_forget
0x10A77798 A UIS_CanvasFillRect
```
